package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckRecordE;

import javax.validation.constraints.NotEmpty;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:58
 */
public interface FireCheckRecordGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckRecordE fireCheckRecordE);

    /**
     * 修改
     */
    Boolean update(FireCheckRecordE fireCheckRecordE);

    /**
     * 删除
     */
    Boolean deletedFireCheckRecordById(Long id);

    Boolean deletedFireCheckRecordByIds(Long[] id);

    FireCheckRecordE initCheckRecord(@NotEmpty(message = "检查表id不能为空") String fireCheckId, String fireRecordId);
}

